<?php

/**
 * GlobalAddressbook configuration file
 */

// the name of the dummy user which holds the global address book, if the user does not exist it will be created
// the name can contain the following macros that will be expanded as follows:
//      %d is replaced with the domain part of the username (if the username is an email address or default mail domain if not)
//      %h is replaced with the imap host (from the session info)
// eg. to create one global address book per domain: global_addressbook@%d
$config['globaladdressbook_user'] = '[global_addressbook_user]';

// default user permissions
// 0 - global address book is read only
// 1 - users can add, edit and delete contacts (full permissions)
// 2 - users can add but not edit or delete contacts
// 3 - users can add and edit but not delete contacts
$config['globaladdressbook_perms'] = 0;

// always copy contacts from the global address book to another address book, never move
$config['globaladdressbook_force_copy'] = true;

// allow groups in global address book
$config['globaladdressbook_groups'] = false;

// global address book admin user
// admin user(s) can always add/edit/delete entries, overrides readonly
// either a single username, an array of usernames, or a regular expression, see README for more info
$config['globaladdressbook_admin'] = null;

// show addresses from the global address book in the auto complete menu when composing an email
$config['globaladdressbook_autocomplete'] = true;

// check globaladdressbook for known senders when displaying remote inline images
$config['globaladdressbook_check_safe'] = true;

?>